summaryrefslogtreecommitdiffstats
path: root/source/l/libcap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-05-05 20:21:27 +0000
committer Eric Hameleers <alien@slackware.com>2020-05-06 08:59:52 +0200
commit33be03fb136ca11ba09834a19984c9f956049b6d (patch)
tree32d6c154c5931510d0fefd7e74d6eb67eb71ce27 /source/l/libcap
parentdf4c9b091989c5fbea58f5b42abbb5e6c545a931 (diff)
downloadcurrent-33be03fb136ca11ba09834a19984c9f956049b6d.tar.gz
current-33be03fb136ca11ba09834a19984c9f956049b6d.tar.xz
Tue May 5 20:21:27 UTC 202020200505202127
a/hwdata-0.335-noarch-1.txz: Upgraded. ap/tmux-3.1b-x86_64-1.txz: Upgraded. l/libcap-2.34-x86_64-1.txz: Upgraded. n/mutt-1.14.0-x86_64-1.txz: Upgraded. n/nfs-utils-2.4.3-x86_64-3.txz: Rebuilt. Added /var/lib/nfs/nfsdcltrack database directory for nfsdcltrack. Thanks to upnort. x/xterm-356-x86_64-1.txz: Upgraded. xap/NetworkManager-openvpn-1.8.12-x86_64-1.txz: Added. Thanks to Robby Workman. xap/mozilla-firefox-68.8.0esr-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/firefox/68.8.0/releasenotes/ https://www.mozilla.org/security/advisories/mfsa2020-17/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-12387 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-12388 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-12389 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6831 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-12392 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-12393 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-12395 (* Security fix *) xap/mozilla-thunderbird-68.8.0-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/thunderbird/68.8.0/releasenotes/ (* Security fix *) testing/packages/PAM/libcap-2.34-x86_64-1_pam.txz: Upgraded.
Diffstat (limited to 'source/l/libcap')
-rwxr-xr-xsource/l/libcap/libcap.SlackBuild7
-rw-r--r--source/l/libcap/libcap.pkgconfig.path.diff11
2 files changed, 16 insertions, 2 deletions
diff --git a/source/l/libcap/libcap.SlackBuild b/source/l/libcap/libcap.SlackBuild
index 15cd5a8f3..d31535d35 100755
--- a/source/l/libcap/libcap.SlackBuild
+++ b/source/l/libcap/libcap.SlackBuild
@@ -86,11 +86,14 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Put the pkgconfig files in the proper location:
+zcat $CWD/libcap.pkgconfig.path.diff.gz | patch -p1 --verbose || exit 1
+
# Set the CFLAGS
-sed -i.orig "s/^\(DEBUG =\).*/\1$SLKCFLAGS/" Make.Rules
+sed -i "s/^\(DEBUG =\).*/\1$SLKCFLAGS/" Make.Rules
# Disable broken gperf support:
-sed 's@^BUILD_GPERF@#\0@' -i Make.Rules
+sed -i 's@^BUILD_GPERF@#\0@' Make.Rules
make DYNAMIC=yes GOLANG=$GOSUPPORT || exit 1
make install RAISE_SETFCAP=no GOLANG=$GOSUPPORT DESTDIR=$PKG man_prefix=/usr || exit 1
diff --git a/source/l/libcap/libcap.pkgconfig.path.diff b/source/l/libcap/libcap.pkgconfig.path.diff
new file mode 100644
index 000000000..9f3dc55d2
--- /dev/null
+++ b/source/l/libcap/libcap.pkgconfig.path.diff
@@ -0,0 +1,11 @@
+--- ./Make.Rules.orig 2020-05-03 17:56:47.000000000 -0500
++++ ./Make.Rules 2020-05-05 15:10:07.762983203 -0500
+@@ -35,7 +35,7 @@
+ SBINDIR=$(exec_prefix)/sbin
+ INCDIR=$(inc_prefix)/include
+ LIBDIR=$(lib_prefix)/$(lib)
+-PKGCONFIGDIR=$(LIBDIR)/pkgconfig
++PKGCONFIGDIR=$(prefix)/$(LIBDIR)/pkgconfig
+ GOPKGDIR=$(prefix)/share/gocode/src
+
+ # common defines for libcap